Subject: RE: [Megaco] AuditValue for all Context and ROOT Termination

From: "Jon Rowland" <[email-masked]>
Date: Tue, 22 Nov 2005 13:14:32 -0000

In fact, (and while Venkat's response is indeed generally useful info),
none of the below responses are correct, because the command request is
auditing the ROOT termination. As indicated in 7.2.5/H.248.1, this
command form is intended to get the MG to return a list of all existing
context IDs to the MGC.

The correct response is therefore something along the lines of (in V1/V2
at least):
MEGACO/1 [216.33.33.61]:25000
Reply = 1234 {
Context = 100 {
AuditValue= ROOT
},
Context = 200 {
AuditValue= ROOT
},
Context = 300 {
AuditValue= ROOT
}
}

Regards,
Jon.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of B Venkat S.R Swamy
Sent: 22 November 2005 05:59
To: Lee Kyoung-tae
Cc: [email-masked]
Subject: Re: [Megaco] AuditValue for all Context and ROOT Termination

Hi

The Reply-A is anyway syntactically invalid since both H248.1 V1 and V2
does not allow termination ID list after the "AuditValue=". However in
H248.1 V3 grammar termidList is also allowed but inside a  square
bracket.

Both Reply-B and Reply-C are syntactically valid, and MG can respond
with
either of the replies depending on the implementation, however Reply-C
can
lead to huge PDU size if number of terminations in active context are
more.

For your information H248.1 V3 has added one more construct(Context
attribute, context list) which MGC can use to get a compact reply.
Refer
H248.1V3(Sep2005) Section 7.2.5 for more information.

regards
B Venkat S.R Swamy
Senior Technical Leader
Flextronics Software Systems
Phone:  +91-124- 5176333 extn 5113
Fax: +91-124-2455345
web: www.flextronicssoftware.com

             Lee Kyoung-tae

             <[email-masked]>

             Sent by:
To 
             megaco-bounces@ie         [email-masked]

             tf.org
cc 

Subject 
             11/22/2005 06:52          [Megaco] AuditValue for all
Context 
             AM                        and ROOT Termination

 

Hi all.

I have a question about AuditValue.

When MGC send a AuditValue with all Context and ROOT Termination as the
following.

MEGACO/1 [207.176.47.89]: 27000
Transaction = 1234 {
Context = * {
AuditValue= ROOT {Audit { } }
}
}

The draft-ietf-megaco-callflows-04.txt explain that the MG replys the
following message.

[Reply-A]
MEGACO/1 [216.33.33.61]: 25000
Reply = 1234 {
Context = 100 {
AuditValue= TermA, TermB
}
Context = 200 {
AuditValue= TermC, TermD
}
Context = 300 {
AuditValue= TermE, TermF
}
}

But, If it follow the ABNF syntax in the RFC3525 or H.248.1,
I think the following message is correct.

[Reply-B]
MEGACO/1 [216.33.33.61]: 25000
Reply = 1234 {
Context = 100 {
AuditValue= Context { TermA, TermB }
}
Context = 200 {
AuditValue= Context { TermC, TermD }
}
Context = 300 {
AuditValue= Context { TermE, TermF }
}
}

Or

[Reply-C]
MEGACO/1 [216.33.33.61]: 25000
Reply = 1234 {
Context = 100 {
AuditValue= TermA,
AuditValue= TermB
}
Context = 200 {
AuditValue= TermC,
AuditValue= TermD
}
Context = 300 {
AuditValue= TermE,
AuditValue= TermF
}
}

Which do you think is the correct AuditValue Reply message?

Thanks.

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

***********************  FSS-Restricted   ***********************
"DISCLAIMER: This message is proprietary to Flextronics Software
Systems Limited (FSS) and is intended solely for the use of the
individual to whom it is addressed. It may contain  privileged or
confidential information and should not be circulated or used for
any purpose other than for what it is intended. If you have received
this message in  error, please notify the originator immediately.
If you are not the intended recipient, you are notified that you are
strictly  prohibited  from  using, copying, altering, or disclosing
the contents of this message.  FSS  accepts no  responsibility  for
loss or damage arising from the use of  the information transmitted
by this email including damage from virus."

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "B Venkat S.R Swamy" <[email-masked]>
Date: Wed, 23 Nov 2005 14:57:49 +0530

Hi
Although I agree with your comment and suggested response, this needs more
discussion and clarification in the protocol whether or not the mentioned
responses(ReplyB, Replyc) are correct or not, since protocol does not
restrict from responding with those responses.

Thus protocol should clearly identify the valid responses for the following
two cases

MEGACO/1 [207.176.47.89]: 27000
Transaction = 1234 {
Context = * {
AuditValue= ROOT {Audit { } }}}

and

MEGACO/1 [207.176.47.89]: 27000
Transaction = 1234 {
Context = * {
AuditValue= * {Audit { } }}}

regards
B Venkat S.R Swamy
Senior Technical Leader

             "Jon Rowland"                                                 
             <Jon.Rowland@meta                                             
             switch.com>                                                To 
             Sent by:                  "Lee Kyoung-tae" <[email-masked]>  
             megaco-bounces@ie                                          cc 
             tf.org                    [email-masked], B Venkat S.R       
                                       Swamy/HSS@HSS                       
                                                                   Subject 
             11/22/2005 06:44          RE: [Megaco] AuditValue for all     
             PM                        Context and ROOT Termination        

                                                                           

Regards,
Jon.

-----Original Message-----

Hi

regards
B Venkat S.R Swamy
Senior Technical Leader

             Lee Kyoung-tae

             <[email-masked]>

             Sent by:
To

             tf.org
cc

Subject

Hi all.

[Reply-A]

[Reply-B]

Or

[Reply-C]

Thanks.